
package eu.dnetlib.dhp.export;

import java.io.Serializable;

import com.fasterxml.jackson.databind.annotation.JsonDeserialize;

import eu.dnetlib.dhp.schema.oaf.Oaf;

@JsonDeserialize(
	using = TolerantAtomicActionDeserializer.class)
public class AtomicActionSandro<T extends Oaf> implements Serializable {
	private Class<T> clazz;
	private T payload;

	public AtomicActionSandro() {
	}

	public AtomicActionSandro(Class<T> clazz, T payload) {
		this.clazz = clazz;
		this.payload = payload;
	}

	public Class<T> getClazz() {
		return this.clazz;
	}

	public void setClazz(Class<T> clazz) {
		this.clazz = clazz;
	}

	public T getPayload() {
		return this.payload;
	}

	public void setPayload(T payload) {
		this.payload = payload;
	}
}
